# Licensed Materials - Property of IBM                       
# Rational Software Architect RealTime Edition - TARGET RTS                 
# Copyright IBM Corporation 1999, 2014. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



require 'tools/registry.pl';

$commonKey = 'HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\VisualStudio\\9.0';
$commonSub = 'InstallDir';

$vcKey     = "$commonKey\\Setup\\VC";
$vcSub     = 'ProductDir';

$sdkKey    = 'HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\Microsoft SDKs\\Windows\\v6.0A';
$sdkSub    = 'InstallationFolder';

unless( $commonRoot = &ReadRegEntry( $commonKey, $commonSub, '' ) )
{
    print STDERR "Can't find registry VC location '$commonSub' at\n"
	       . "$commonKey\n\n";
    exit 1;
}

unless( $vcRoot = &ReadRegEntry( $vcKey, $vcSub, '' ) )
{
    print STDERR "Can't find registry VC location '$vcSub' at\n$vcKey\n\n";
    exit 1;
}

unless( $sdkRoot = &ReadRegEntry( $sdkKey, $sdkSub, '' ) )
{
    print STDERR "Can't find registry VC location '$sdkSub' at\n$sdkKey\n\n";
    exit 1;
}

$ENV{'INCLUDE'} =  "$vcRoot\\INCLUDE"
		. ";$vcRoot\\ATLMFC\\INCLUDE"
		. ";$sdkRoot\\INCLUDE";

$ENV{'LIB'}     =  "$vcRoot\\LIB\\amd64"
		. ";$vcRoot\\ATLMFC\\LIB\\amd64"
		. ";$sdkRoot\\LIB\\x64";

$ENV{'PATH'}    = "$commonRoot"
		. ";$vcRoot\\BIN\\amd64"
		. ";$sdkRoot\\BIN\\x64"
		. ";$sdkRoot\\BIN\\win64\\x64"
		. ";$sdkRoot\\BIN"
		. ";$ENV{'PATH'}";

$include_opt  = '/I';
@make_args    = ( '/nologo', '/f', '../src/main.nmk' );
$object_ext   = '.OBJ';
$preprocessor = "cl /nologo /EP /P";
$target_base  = 'NT40';


$supported = 'Yes';
