# Licensed Materials - Property of IBM 
# Rational Software Architect RealTime Edition - TARGET RTS                 
# Copyright IBM Corporation 1999, 2015. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



require 'tools/registry.pl';

$commonKey = 'HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\VisualStudio\\11.0';
$commonSub = 'InstallDir';

$vcKey     = "$commonKey\\Setup\\VC";
$vcSub     = 'ProductDir';

unless( $commonRoot = &ReadRegEntry( $commonKey, $commonSub, '' ) )
{
    print STDERR "Can't find registry VC location '$commonSub' at\n"
	       . "$commonKey\n\n";
    exit 1;
}

unless( $vcRoot = &ReadRegEntry( $vcKey, $vcSub, '' ) )
{
    print STDERR "Can't find registry VC location '$vcSub' at\n$vcKey\n\n";
    exit 1;
}


$platformSDKKey = 'HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows Kits\\Installed Roots';
$sdkSub		= 'KitsRoot';


unless( $sdkRoot = &ReadRegEntry( $platformSDKKey, $sdkSub, '' ) )
{
    print STDERR ">> Can't find registry VC location '$sdkSub' at\n$platformSDKKey\n\n";
    exit 1;
}


$ENV{'INCLUDE'} =  "$vcRoot\\INCLUDE"
		. ";$vcRoot\\ATLMFC\\INCLUDE"
		. ";$sdkRoot\\INCLUDE\\um"
		. ";$sdkRoot\\INCLUDE\\shared";

$ENV{'LIB'}     =  "$vcRoot\\LIB"
		. ";$vcRoot\\ATLMFC\\LIB"
		. ";$sdkRoot\\LIB\\win8\\um\\x86";

$ENV{'PATH'}    = "$commonRoot"
		. ";$vcRoot\\BIN"
		. ";$sdkRoot\\BIN"
		. ";$ENV{'PATH'}";


$include_opt  = '/I';
@make_args    = ( '/nologo', '/f', '../src/main.nmk' );
$object_ext   = '.OBJ';
$preprocessor = "cl /nologo /EP /P";
$target_base  = 'NT40';




$supported = 'No';
