/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTSystemDescriptor_h__
#define __RTSystemDescriptor_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

struct RTActorClass;
class  RTController;
class  RTDebugger;

struct RTSystemDescriptor
{
    const RTActorClass * topClass;

#if USE_THREADS
    // thread priorities and stack sizes
    int                  mainPriority;
    int                  mainStackSize;

    int                  timerPriority;
    int                  timerStackSize;

    void             ( * createThreads )( RTDebugger * );
    void             ( * deleteThreads )( void );
#endif // USE_THREADS

    void             ( * logicalThreads )( RTController * _main );
};

#endif // __RTSystemDescriptor_h__
