/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTGlobalSignal.h>
#include <RTProtocolDescriptor.h>
#include <RTSignalDescriptor.h>
#include <RTSpecialSignals.h>

static const RTSignalDescriptor RTControl_Signals[] =
{
    { "ack",            (const RTObject_class *)0, RTAckSignal }
  , { "destroy",        (const RTObject_class *)0, RTDestroySignal }
  , { "initialize",     (const RTObject_class *)0, RTInitSignal }
  , { "interrupt",      (const RTObject_class *)0, RTInterruptSignal }
  , { "pendingTimeout", (const RTObject_class *)0, RTPendingTimeoutSignal }
#if OBSERVABLE
  , { "probe",          (const RTObject_class *)0, RTProbeSignal }
#endif
  , { "start",          (const RTObject_class *)0, RTStartSignal }
  , { "stop",           (const RTObject_class *)0, RTStopSignal }
  , { "timeout",        (const RTObject_class *)0, RTTimeoutSignal }
  , { "wakeup",         (const RTObject_class *)0, RTWakeupSignal }
};

const RTProtocolDescriptor RTControl_Conjugate_Class =
{
    (const RTProtocolDescriptor *)0,
    &RTControl_Protocol_Class,
    "RTControl",
    (RTVersionId)0,
    0, (const RTSignalDescriptor *)0
};

const RTProtocolDescriptor RTControl_Protocol_Class =
{
    (const RTProtocolDescriptor *)0,
    &RTControl_Conjugate_Class,
    "RTControl",
    (RTVersionId)0,
    sizeof( RTControl_Signals ) / sizeof( RTControl_Signals[ 0 ] ),
	RTControl_Signals
};
