/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorProbe.h>
#include <RTDebugger.h>
#include <RTMessage.h>

void RTActorProbe::evtMessageOut( const RTMessage         * msg,
				  RTEventInfo::SendMethod   sendMethod )
{
    RTEventInfo * eventInfo = new RTEventInfo( RTEventInfo::EventMsgOut,
					       _id,
					       _actorIndex );

    _debugger->getTimestamp( eventInfo->timestamp );
    eventInfo->message    = new RTMessage( *msg );
    eventInfo->sendMethod = sendMethod;

    context()->breakPoint( _actor, eventInfo );
}
