/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>
#include <RTFieldOffset.h>
#include <RTObject_class.h>

int RTAsciiEncoding::put_array( const void           * array,
				int                    size,
				const RTObject_class * element )
{
    if( size > 0 )
    {
	const RTFieldOffset stride = element->_size;

	for(;;)
	{
	    if( element->encode( array, this ) == 0 )
		return 0;

	    if( --size == 0 )
		break;

	    if( putFieldSeparator() == 0 )
		return 0;

	    array = RTConstObjectOf( void, stride, array );
	}
    }

    return 1;
}
