/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTByteBlock.h>
#include <RTMemoryUtil.h>

RTByteBlock::RTByteBlock( void )
    : RTDataObject()
    , length  ( 0 )
    , Contents( (char *)0 )
{
}

RTByteBlock::RTByteBlock( int          _length,
			  const void * _Contents )
    : RTDataObject()
    , length  ( _length )
    , Contents( (char *)0 )
{
    if( length != 0 && _Contents != (char *)0 )
	Contents = (char *)RTMemoryUtil::memdup( _Contents, length );
}

RTByteBlock::RTByteBlock( const RTByteBlock & other )
    : RTDataObject( other )
    , length  ( other.length )
    , Contents( (char *)0 )
{
    if( length != 0 && other.Contents != (char *)0 )
	Contents = (char *)RTMemoryUtil::memdup( other.Contents, length );
}
