/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTCachedString.h>

void RTCachedString::unlink( Entry * entry )
{
    entry->use_count -= 1U;

    if( entry->use_count == 0U )
    {
	delete [] entry->value;

	if( --_used != 0U )
	    entry->value = (char *)entry;
	else
	{
	    for(;;)
	    {
		Block * block = _blocks;

		if( block == (Block *)0 )
		    break;

		_blocks = block->next;

		delete block;
	    }

	    delete [] _contents;

	    _contents = (RTCachedString::Entry **)0;
	}
    }
}
