/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemon.h>
#include <RTDaemonInfo.h>
#include <RTDebugger.h>

int RTDaemon::inject( int                    inwards,
		      const char           * signal,
		      int                    prio,
		      const void           * data,
		      const RTObject_class * type )
{
    int result = 0;

    for( int iActor = 0; iActor < actorInfo.size(); ++iActor )
    {
	const RTDaemonInfo * info = (const RTDaemonInfo *)actorInfo[ iActor ];

	if( info == (const RTDaemonInfo *)0 )
	    continue;

	if( info->daemonKind != RTDaemonInfo::InfoPort )
	    continue;

	if( debugger->inject( inwards, signal, prio, data, type, *info ) != 0 )
	    result = 1;
    }

    return result;
}
