/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>

RTLayerData * RTLocalConnector::_registerSPP( RTController * context,
					      RTProtocol   * spp,
					      const char   * serviceName )
{
    const char * name = parseName( serviceName );
    SppNode    * node = (SppNode *)(db[ name ]);

    if( node == (SppNode *)0 )
    {
	node = new SppNode( this );
	(void)db.atPut( name, node );
    }

    return node->publish( context, spp, serviceName );
}
