/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMessage.h>
#include <RTMessageQ.h>
#include <RTQFilter.h>

int RTMessageQ::filterOne( RTQFilter & filter )
{
    RTMessage ** _link = &head;
    RTMessage  * prev  = (RTMessage *)0;
    RTMessage  * node;

    while( (node = *_link) != (RTMessage *)0 )
    {
	if( filter.select( *node ) != 0 )
	{
	    if( (*_link = node->next) == (RTMessage *)0 )
		tail = prev;

	    node->next = (RTMessage *)0;
	    filter.accept( *node );
	    return 1;
	}

	prev  = node;
	_link = &node->next;
    }

    return 0;
}
