/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLayerConnector.h>
#include <RTPortDescriptor.h>
#include <RTProtocol.h>

void RTProtocol::notifyInit( RTController * initiator )
{
    if( ( getInfo()->properties & RTPortDescriptor::MaskNotification )
			       != RTPortDescriptor::NotificationDisabled )
    {
	RTLayerConnector::lock();

	setFlag( BindingNotification );

	for( int index = 0, count = size(); index < count; ++index )
	    if( _ends[ index ].state != End::Unbound )
		notifyBoundAt( index, initiator );

	RTLayerConnector::unlock();
    }
}
