/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTController.h>
#include <RTProtocol.h>
#include <RTPurgeFilter.h>

int RTProtocol::purge( int signal )
{
    RTActor      * owner      = getOwner();
    RTController * controller = owner->context();
    int            count;

    controller->trace( RTController::CommPurge, this, (const void *)0 );

  {
    RTPurgeFilter filter( controller, this, RTPurgeFilter::Signal, signal, 0 );

#if DEFER_IN_ACTOR
    count = owner     ->deferredQ.filterAll( filter );
#else
    count = controller->deferredQ.filterAll( filter );
#endif
  }

    return count;
}
