/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTController.h>
#include <RTProtocol.h>
#include <RTRecallFilter.h>

int RTProtocol::recallAt( int signal, int index, int front )
{
    RTActor      * owner      = getOwner();
    RTController * controller = owner->context();
    int            count;

    controller->trace( RTController::CommRecall, this, &index );

  {
    RTRecallFilter filter( controller, this,
			   front != 0 ? RTRecallFilter::SignalIndexFront
				      : RTRecallFilter::SignalIndexBack,
			   signal, index );

#if DEFER_IN_ACTOR
    count = owner     ->deferredQ.filterOne( filter );
#else
    count = controller->deferredQ.filterOne( filter );
#endif
  }

    return count;
}
