/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMessageBlock.h>
#if USE_THREADS
#include <RTMutex.h>
#endif
#include <RTResourceMgr.h>

void RTResourceMgr::msgFree( RTMessage * & list, unsigned howMany )
{
    RTMessage * msg;

#if USE_THREADS
    access->enter();
#endif

    while( (msg = list) != (RTMessage *)0 )
    {
	list = msg->next;
	msg->clear();
	msg->next = messages;
	messages = msg;
	if( howMany != 0U && --howMany == 0U )
	    break;
    }

#if USE_THREADS
    access->leave();
#endif
}
