/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTSpecialSignals.h>
#include <RTTimerActor.h>
#include <RTTimerNode.h>

void RTTimerActor::informAt( RTTimerNode * node )
{
#if USE_THREADS
    RTTimerNode::critical.enter();
#endif

    context()->countTimerStart();

    int atHead = pendingAbsolute.insert( node );

#if USE_THREADS
    RTTimerNode::critical.leave();

    if( atHead != 0 )
	(void)node->owner->send( this, RTWakeupSignal,
				       (const void *)0,
				       (const RTObject_class *)0, System );
#else
    (void)atHead;
#endif
}
