/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTimerId.h>
#include <RTTimerNode.h>

int RTTimerId::timeouts( void ) const
{
    int result = -1;

#if USE_THREADS
    RTTimerNode::critical.enter();
#endif

    if( node != (RTTimerNode *)0 && ( node->repeatInterval.tv_sec  |
				      node->repeatInterval.tv_nsec ) != 0L )
	result = node->missedIntervals;

#if USE_THREADS
    RTTimerNode::critical.leave();
#endif

    return result;
}
