/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_write( int sock, const char * data, int size )
{
    int count;

    while( (count = INET_send( sock, data, size, 0 )) < 0 )
    {
	int err = INET_error( sock );

#ifdef INET_EINTR
	if( err == INET_EINTR )
	    continue;
#endif

#ifdef INET_EWOULDBLOCK
	if( err == INET_EWOULDBLOCK )
	    return 0;
#endif

	return -1;
    }

    return count;
}
