/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTSyncObject_h__
#define __RTSyncObject_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTOse_h__
#include <RTOse.h>
#endif

struct RTTimespec;

class RTSyncObject
{
protected:
    PROCESS _owner;

public:
	    RTSyncObject( void );
	    ~RTSyncObject( void );

    void    signal( void );
    void    wait( void );
    void    timedwait( const RTTimespec & );

private:
    // unavailable methods
    RTSyncObject( const RTSyncObject & );
    RTSyncObject & operator=( const RTSyncObject & );
};

#endif // __RTSyncObject_h__
