/*
 * Licensed Materials - Property of IBM
 * Rational Software Architect RealTime Edition - TARGET RTS
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.
 * U.S. Government Users Restricted Rights -  Use, duplication or
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTSyncObject.h>

RTSyncObject::RTSyncObject( void )
    : RTMutex()
    , signalled( 0 )
{
    pthread_condattr_t condattr;

    if( pthread_condattr_init( &condattr ) != 0 )
	RTDiag::panic( "pthread_condattr_init" );

    if( pthread_cond_init( &cv, &condattr ) != 0 )
	RTDiag::panic( "pthread_cond_init" );

    if( pthread_condattr_destroy( &condattr ) != 0 )
	RTDiag::panic( "pthread_condattr_destroy" );
}
